faked(1)

NOMBRE
faked - demonio que recuerda los propietarios/permisos falsos de ficheros manipulados por un proceso fakeroot.

SINOPSIS
faked [--debug] [--foreground] [--cleanup] [--key número-llave] [--load] [--save-file fichero-salvado] [--port puerto-TCP]

DESCRIPCIÓN
Si un proceso fakeroot quiere cambiar el propietario de un fichero, faked es el proceso que recuerda el nuevo propietario. Si después el mismo proceso fakeroot hace un stat() para ese fichero, entonces la llamada la función envoltorio stat() de libfakeroot primero preguntará a faked por el propietario falso ... de ese fichero, y luego informará de ello.

OPCIONES

--debug
    Muestra información de depurado en stderr.

--foreground
    No realiza un fork en segundo plano.

--cleanup  número
    Borra los semáforos.

--key  número-llave
    No crea un nuevo canal de comunicación, sino que usa el canal especificado por la llave. (El canal especificado se crea en caso de no existir).

--save-file  fichero-salvado
    Salva el entorno al salir en fichero-salvado .

--load
    Carga un entorno previamente salvado desde la entrada estándar.

--unknown-is-real
    Usa el propietario real de ficheros previamente desconocidos en vez de suponer que son root:root.

--port  puerto-TCP
    Usa el puerto TCP puerto-TCP.

FALLOS
Ninguno hasta ahora. Está avisado, consideración: aunque he escrito varios programas más largos (y pequeños), nunca escribí algo que fuese tan pequeño como fakeroot, con tantos fallos como fakeroot, y que todavía fuese usable como, por ejemplo la versión 0.0_3 de fakeroot , la primera versión que podría usarse para construirse a si mismo.

COPIA
fakeroot se distribuye bajo la Licencia Pública General de GNU. (GPL 2.0 o posterior).

AUTORES

joost witteveen
    <joostje@debian.org>

Clint Adams
    <schizo@debian.org>

Timo Savola

PÁGINA DEL MANUAL
la mayor parte de J.H.M. Dassen <jdassen@wi.LeidenUniv.nl> con muchas modificaciones y añadiduras de joost y Clint.

VÉASE ADEMÁS
fakeroot(1), dpkg-buildpackage(1), debuild(1) /usr/share/doc/fakeroot/DEBUG

TRADUCTOR
Traducción de Rubén Porras Campo <debian-l10n-spanish@lists.debian.org>